# Asterisk Project : Asterisk 12 AGICommand_speech recognize

Added by wikibot , edited by wikibot on Aug 29, 2013

# SPEECH RECOGNIZE

### Synopsis

Recognizes speech.

### Description

Plays back given prompt while listening for speech and dtmf.

### Syntax

    SPEECH RECOGNIZE PROMPT TIMEOUT OFFSET

##### Arguments

- `prompt`
- `timeout`
- `offset`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown